import 'package:flutter/material.dart';
import 'package:hmssdk_demo/models/config.dart';
import 'package:hmssdk_demo/pages/home_page.dart';
import 'package:hmssdk_demo/routes.dart';

void main() {
  Config.init(() => runApp(const MyApp()));
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const HomePage(),
      // initialRoute: Routes.home,
      // onGenerateRoute: Routes.onGenerateRoute,
    );
  }
}
